package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.QyWordtemplateMapper;
import com.ruoyi.system.domain.QyWordtemplate;
import com.ruoyi.system.service.IQyWordtemplateService;
import com.ruoyi.common.core.text.Convert;

/**
 * word文件表Service业务层处理
 * 
 * @author ruoyi
 * @date 2019-09-10
 */
@Service
public class QyWordtemplateServiceImpl implements IQyWordtemplateService 
{
    @Autowired
    private QyWordtemplateMapper qyWordtemplateMapper;

    /**
     * 查询word文件表
     * 
     * @param id word文件表ID
     * @return word文件表
     */
    @Override
    public QyWordtemplate selectQyWordtemplateById(Long id)
    {
        return qyWordtemplateMapper.selectQyWordtemplateById(id);
    }

    /**
     * 查询word文件表列表
     * 
     * @param qyWordtemplate word文件表
     * @return word文件表
     */
    @Override
    public List<QyWordtemplate> selectQyWordtemplateList(QyWordtemplate qyWordtemplate)
    {
        return qyWordtemplateMapper.selectQyWordtemplateList(qyWordtemplate);
    }

    /**
     * 新增word文件表
     * 
     * @param qyWordtemplate word文件表
     * @return 结果
     */
    @Override
    public int insertQyWordtemplate(QyWordtemplate qyWordtemplate)
    {
        return qyWordtemplateMapper.insertQyWordtemplate(qyWordtemplate);
    }

    /**
     * 修改word文件表
     * 
     * @param qyWordtemplate word文件表
     * @return 结果
     */
    @Override
    public int updateQyWordtemplate(QyWordtemplate qyWordtemplate)
    {
        return qyWordtemplateMapper.updateQyWordtemplate(qyWordtemplate);
    }

    /**
     * 删除word文件表对象
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteQyWordtemplateByIds(String ids)
    {
        return qyWordtemplateMapper.deleteQyWordtemplateByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除word文件表信息
     * 
     * @param id word文件表ID
     * @return 结果
     */
    public int deleteQyWordtemplateById(Long id)
    {
        return qyWordtemplateMapper.deleteQyWordtemplateById(id);
    }
}
